;+
;
; @file_comments
; For internal use of SAXO
; common declaration: update old variables with new ones
;
; check that key_forgetold and keep_compatibility are well defined...
;
; @categories
; Compatibility
;
; @history
; Sebastien Masson (smasson\@lodyc.jussieu.fr)
;			14/8/98
; @version
; $Id$
;
;-
IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
IF n_elements(myuniquetmpdir) EQ 0 THEN keep_compatibility
IF NOT file_test(myuniquetmpdir) THEN keep_compatibility, 1b - key_forgetold
;
@oldcm_used
;
  key_forgetold = keyword_set(key_forgetold)

  IF NOT key_forgetold AND n_elements(jpt) NE 0 THEN jptmax = jpt
;
  IF NOT key_forgetold AND n_elements(time) NE 0 THEN caldat, time, month, day, year
  IF NOT key_forgetold AND n_elements(varexp) NE 0 THEN prefix = varexp
;
  IF NOT key_forgetold AND n_elements(archive_ps) NE 0 THEN sauveps = archive_ps
;
  IF NOT key_forgetold AND n_elements(page_size) EQ 2 THEN grandfeuille = max(page_size)
  IF NOT key_forgetold AND n_elements(page_size) EQ 2 THEN petitfeuille = min(page_size)
  IF NOT key_forgetold AND n_elements(page_margins) NE 0 THEN margescadre = page_margins
  IF NOT key_forgetold AND n_elements(windowsize_scale) NE 0 THEN ccwindowsize = windowsize_scale
;
  IF NOT key_forgetold AND n_elements(vert1) NE 0 THEN prof1 = vert1
  IF NOT key_forgetold AND n_elements(vert2) NE 0 THEN prof2 = vert2
  IF NOT key_forgetold AND n_elements(firstxt) NE 0 THEN premierxt = firstxt
  IF NOT key_forgetold AND n_elements(firstxu) NE 0 THEN premierxu = firstxu
  IF NOT key_forgetold AND n_elements(firstxv) NE 0 THEN premierxv = firstxv
  IF NOT key_forgetold AND n_elements(firstxf) NE 0 THEN premierxf = firstxf
  IF NOT key_forgetold AND n_elements(firstyt) NE 0 THEN premieryt = firstyt
  IF NOT key_forgetold AND n_elements(firstyu) NE 0 THEN premieryu = firstyu
  IF NOT key_forgetold AND n_elements(firstyv) NE 0 THEN premieryv = firstyv
  IF NOT key_forgetold AND n_elements(firstyf) NE 0 THEN premieryf = firstyf
  IF NOT key_forgetold AND n_elements(firstzt) NE 0 THEN premierzt = firstzt
  IF NOT key_forgetold AND n_elements(firstzw) NE 0 THEN premierzw = firstzw
  IF NOT key_forgetold AND n_elements(lastxt) NE 0 THEN dernierxt = lastxt
  IF NOT key_forgetold AND n_elements(lastxu) NE 0 THEN dernierxu = lastxu
  IF NOT key_forgetold AND n_elements(lastxv) NE 0 THEN dernierxv = lastxv
  IF NOT key_forgetold AND n_elements(lastxf) NE 0 THEN dernierxf = lastxf
  IF NOT key_forgetold AND n_elements(lastyt) NE 0 THEN dernieryt = lastyt
  IF NOT key_forgetold AND n_elements(lastyu) NE 0 THEN dernieryu = lastyu
  IF NOT key_forgetold AND n_elements(lastyv) NE 0 THEN dernieryv = lastyv
  IF NOT key_forgetold AND n_elements(lastyf) NE 0 THEN dernieryf = lastyf
  IF NOT key_forgetold AND n_elements(lastzt) NE 0 THEN dernierzt = lastzt
  IF NOT key_forgetold AND n_elements(lastzw) NE 0 THEN dernierzw = lastzw
;
  IF NOT key_forgetold AND n_elements(triangles_list) NE 0 THEN triangles = triangles_list
  IF NOT key_forgetold AND n_elements(twin_corners_up) NE 0 THEN cointerremont = twin_corners_up
  IF NOT key_forgetold AND n_elements(twin_corners_dn) NE 0 THEN cointerredesc = twin_corners_dn
;
  IF NOT key_forgetold AND n_elements(key_periodic) NE 0 THEN key_periodique = key_periodic
;

