;+
;
; @file_comments
;
; Used to avoid a bug in congrid in a old version of IDL
; Useless now...
;
; old example: based on a old version of IDL (5.??)
; IDL> print, congrid([[1,2,3,4],[5,6,7,8]],12,4)
;       1 1 1 2 2 2 3 3 3 3 4 4
;       1 1 1 2 2 2 3 3 3 3 4 4
;       5 5 5 6 6 6 7 7 7 7 8 8
;       5 5 5 6 6 6 7 7 7 7 8 8
; IDL> print, rebin([[1,2,3,4],[5,6,7,8]],12,4)
;       1 1 1 2 2 2 3 3 3 4 4 4
;       3 3 3 4 4 4 5 5 5 6 6 6
;       5 5 5 6 6 6 7 7 7 8 8 8
;       5 5 5 6 6 6 7 7 7 8 8 8
; IDL> print, congridseb([[1,2,3,4],[5,6,7,8]],12,4)
;       1 1 1 2 2 2 3 3 3 4 4 4
;       1 1 1 2 2 2 3 3 3 4 4 4
;       5 5 5 6 6 6 7 7 7 8 8 8
;       5 5 5 6 6 6 7 7 7 8 8 8
;
; @obsolete
;
; @param tableau {in}{required}
; 1 or 2d array
;
; @param x {in}{required}
; first dimension of the result which must be
; a multiple of the first dimension of the input array.
;
; @param y {in}{required}
; second dimension of the result which must be
; a multiple of the second dimension of the input array
;
; @returns
; an array which dimensions are x,y
;
; @history
; Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                      20/3/98
;                      18/6/1999 supression d''une horrible boucle
;
; @version
; $Id$
;
;-
FUNCTION congridseb, tableau, x, y
;
  compile_opt idl2, strictarrsubs
;
   CASE N_PARAMS() OF
      2: return, congrid(tableau, x)
      3:return, congrid(tableau, x, y)
      else: return, report('Bad number or arguments in the call of congridseb')
   endcase
end
